
Redmine - Defect #8289

target version does not get propagated to subtasks

2011-05-04 12:53 - Alessandro Santini

Status: New Start date: 2011-05-04

Priority: Low Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 1.1.2

Description

Subtasks of a task assigned to a specific target version should inherit that target version.

Having said that:

New subtasks should inherit their parent task's target version;

Changing target version to a parent task should propagate the change to all its subtasks;

Should not be possible to have a subtask with a target version different from its parent's.

Related issues:

Related to Redmine - Feature #6117: subtasks default to parent issue target v... New 2010-08-12

History

#1 - 2011-06-13 00:13 - Jean-Baptiste Barth

- Priority changed from High to Low

I disagree, it's not mandatory at all : take the example of Redmine itself, it often has minor functionalities or technical modifications in minor versions,

and I could easily imagine these changes contribute to major features released in later versions. We don't use subtasks here, but it sounds prefectly

pertinent no ? The first point could be great though.

Anyway, it's not "High" priority at all.

#2 - 2018-07-02 15:55 - Go MAEDA

- Related to Feature #6117: subtasks default to parent issue target version added

#3 - 2018-08-30 09:10 - Dominik Ras

I agree with Jean-Baptiste Barth 100%. It doesn't make sense to always force the same target version onto any child items, but for the new ones, it

might make sense (optional admin setting would be nice).
